Bug 235906 - multimedia/x265: update to 3.0
Summary: multimedia/x265: update to 3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://x265.readthedocs.io/en/latest...
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2019-02-21 02:55 UTC by Jan Beich
Modified: 2019-03-10 17:12 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (mi)


Attachments
v1 (has commit message) (13.23 KB, patch)
2019-02-21 02:55 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-02-21 02:55:19 UTC
Created attachment 202213 [details]
v1 (has commit message)

Disclaimer: I don't use this port.

- Add SVTHEVC option, see http://x265.org/x265-svt-hevc-house/
- Drop libmd patch due to rebase churn for what little value it provides

multimedia/x265 build logs:
- 11.2 aarch64: https://ptpb.pw/DgZw
- 11.2 amd64: https://ptpb.pw/mHb3
- 11.2 armv6: https://ptpb.pw/QJw1
- 11.2 i386: https://ptpb.pw/PJXs
- 12.0 aarch64: https://ptpb.pw/Zp6z
- 12.0 amd64: https://ptpb.pw/7Qdx
- 12.0 armv6: https://ptpb.pw/o8Hz
- 12.0 armv7: https://ptpb.pw/ZAus
- 12.0 i386: https://ptpb.pw/qvO9
- 13.0 aarch64: https://ptpb.pw/fBRk
- 13.0 amd64: https://ptpb.pw/ahUf
- 13.0 armv7: https://ptpb.pw/cMai
- 13.0 i386: https://ptpb.pw/u1w_
- SVTHEVC: https://ptpb.pw/89gn
- HI10P/HI120P: https://ptpb.pw/5G0V

consumers' builds logs:
- graphics/libbpg: https://ptpb.pw/wlOD
- graphics/libheif: https://ptpb.pw/-jNz
- multimedia/avidemux-plugins: https://ptpb.pw/jmH8
- multimedia/ccextractor: https://ptpb.pw/29mo
- multimedia/cinelerra-gg: https://ptpb.pw/USIi
- multimedia/ffmpeg: https://ptpb.pw/pygt
- multimedia/gstreamer1-plugins-x265: https://ptpb.pw/tk3k
- multimedia/vlc: https://ptpb.pw/QZ-C
- x11/xpra: https://ptpb.pw/5XMB

x265 + SVT-HEVC example:
$ ffmpeg -loglevel quiet -f x11grab -i :0 -pix_fmt yuv420p -to 5 -y foo.y4m
$ x265 --svt foo.y4m foo.ivf
y4m  [info]: 640x480 fps 30000/1001 i420p8 frames 0 - 149 of 150
raw  [info]: output file: foo.ivf
x265 [info]: HEVC encoder version 3.0
x265 [info]: build info [Unk-OS][clang 8.0.0][64 bit] 8bit
SVT [version]:  SVT-HEVC Encoder Lib v1.3.0
SVT [build]  :  GCC 4.2.1        64 bit
LIB Build date: Feb 17 2019 16:24:56
-------------------------------------------
Number of logical cores available: 8
Number of PPCS 60
-------------------------------------------
SVT [config]: Main10 Profile    Tier (auto)     Level (auto)
SVT [config]: EncoderMode / LatencyMode / Tune                                  : 9 / 0 / 0
SVT [config]: EncoderBitDepth / CompressedTenBitFormat                          : 8 / 0
SVT [config]: SourceWidth / SourceHeight                                        : 640 / 480
SVT [config]: Fps_Numerator / Fps_Denominator / Gop Size / IntraRefreshType     : 30000 / 1001 / 32 / 1
SVT [config]: HierarchicalLevels / BaseLayerSwitchMode / PredStructure          : 3 / 0 / 2
SVT [config]: BRC Mode / QP  / LookaheadDistance / SceneChange                  : CQP / 32 / 17 / 1
SVT [config]: BitRateReduction / ImproveSharpness                               : 1 / 1
-------------------------------------------

SVT [WARNING] Elevated privileges required to run with real-time policies! Check Linux Best Known Configuration in User Guide to run application in real-time without elevated privileges!

Total Frames            Frame Rate              Byte Count              Bitrate
         150            29.97 fps                   139837              223.52 kbps
Comment 1 commit-hook freebsd_committer 2019-03-10 17:11:54 UTC
A commit references this bug:

Author: jbeich
Date: Sun Mar 10 17:10:59 UTC 2019
New revision: 495302
URL: https://svnweb.freebsd.org/changeset/ports/495302

Log:
  multimedia/x265: update to 3.0

  - Add SVTHEVC option, see http://x265.org/x265-svt-hevc-house/
  - Drop libmd patch due to rebase churn for what little value it provides

  Changes:	https://x265.readthedocs.io/en/latest/releasenotes.html#version-3-0
  PR:		235906
  Approved by:	maintainer timeout (2 weeks)

Changes:
  head/graphics/libbpg/Makefile
  head/graphics/libheif/Makefile
  head/multimedia/avidemux-plugins/Makefile
  head/multimedia/ccextractor/Makefile
  head/multimedia/cinelerra-gg/Makefile
  head/multimedia/ffmpeg/Makefile
  head/multimedia/gstreamer1-plugins-x265/Makefile
  head/multimedia/vlc/Makefile
  head/multimedia/x265/Makefile
  head/multimedia/x265/distinfo
  head/multimedia/x265/files/patch-bug-422
  head/multimedia/x265/files/patch-md5
  head/multimedia/x265/files/patch-source_CMakeLists.txt
  head/multimedia/x265/files/patch-source_encoder_api.cpp
  head/multimedia/x265/pkg-plist
  head/x11/xpra/Makefile